Bug 437259 - reposync failed when repo name has tab character
reposync failed when repo name has tab character
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: cobbler (Show other bugs)
el5
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 05:50 EDT by shota
Modified: 2012-04-16 21:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-16 21:48:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shota 2008-03-13 05:50:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; ja; rv:1.8.1.12) Gecko/20080201 Firefox/2.0.0.12

Description of problem:
When repo name has \t, cobbler reposync failed because of accessing file for configration

Cobbler have to trim \t or validate whether name has \t or not.

Here is error result

- /usr/bin/reposync --config=/var/www/cobbler/repo_mirror/.origin/centos5-centosplus-x86_64     .repo --repoid=centos5-centosplus-x86_64     --download_path=/var/www/cobbler/repo_mirror
Traceback (most recent call last):
  File "/usr/bin/reposync", line 196, in ?
    main()
  File "/usr/bin/reposync", line 114, in main
    my.doConfigSetup(fn=opts.config, init_plugins=True)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 119, in doConfigSetup
    startupconf = config.readStartupConfig(fn, root)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 569, in readStartupConfig
    confpp_obj = ConfigPreProcessor(configfile)
  File "/usr/lib/python2.4/site-packages/yum/parser.py", line 83, in __init__
    fo = self._pushfile( url )
  File "/usr/lib/python2.4/site-packages/yum/parser.py", line 184, in _pushfile
    raise Errors.ConfigError, \
yum.Errors.ConfigError: Error accessing file for config file:///var/www/cobbler/repo_mirror/.origin/centos5-centosplus-x86_64
cobbler reposync failed

here is part of /var/lib/cobbler/repos
-
    arch: ''
    createrepo_flags: -c cache
    depth: 2
    keep_updated: True
    mirror: 'http://ftp.riken.go.jp/Linux/caos/centos/5/addons/x86_64/'
    name: "centos5-addons-x86_64 \t"
    parent: ''
    priority: 99
    rpm_list: ''
    yumopts: {}


Version-Release number of selected component (if applicable):
cobbler-0.8.2-1

How reproducible:
Always


Steps to Reproduce:
1. add above repo to yaml and cobbler reposync 

Actual Results:


Expected Results:


Additional info:
Comment 1 Michael DeHaan 2009-06-24 14:59:49 EDT
We should probably filter the name inputs to make sure there are no tabs.

In the mean time, please note the upstream bugtracker is https://fedorahosted.org/cobbler and items here may be misplaced seeing I get a /lot/ of email.
Comment 2 Michael DeHaan 2009-08-10 18:08:05 EDT
Opened up a Trac item here:  https://fedorahosted.org/cobbler/ticket/477#preview

Meanwhile, do not do that :)
Comment 4 James C. 2012-04-16 21:48:29 EDT
Closing, as this should have been fixed a LONG time ago.

Note You need to log in before you can comment on or make changes to this bug.